package com.zanxiang.game.module.manage.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zanxiang.game.module.base.pojo.enums.DeleteEnum;
import com.zanxiang.game.module.base.pojo.enums.StatusEnum;
import com.zanxiang.game.module.manage.service.IMiPaySumService;
import com.zanxiang.game.module.mybatis.entity.MiPaySum;
import com.zanxiang.game.module.mybatis.mapper.MiPaySumMapper;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2023-06-21
 * @description : 米大师支付统计
 */
@Slf4j
@Service
public class MiPaySumServiceImpl extends ServiceImpl<MiPaySumMapper, MiPaySum> implements IMiPaySumService {

    @Override
    public void add(Long gameId, String appId, String miPayAppId) {
        int count = super.count(new LambdaQueryWrapper<MiPaySum>()
                .eq(MiPaySum::getGameId, gameId)
                .eq(MiPaySum::getAppId, appId)
                .eq(MiPaySum::getMiPayAppId, miPayAppId));
        if (count > 0) {
            return;
        }
        super.save(MiPaySum.builder()
                .gameId(gameId)
                .appId(appId)
                .miPayAppId(miPayAppId)
                .maxPayLock(StatusEnum.YES.getCode())
                .status(StatusEnum.YES.getCode())
                .isDelete(DeleteEnum.NO.getCode())
                .createTime(LocalDateTime.now())
                .updateTime(LocalDateTime.now())
                .build());
    }
}
